## lxqt-panel-2.3.0-1.src.tar.gz

=== plugin-spacer/CMakeLists.txt ===
set(PLUGIN "spacer")

set(HEADERS
    spacer.h
    spacerconfiguration.h
)

set(SOURCES
    spacer.cpp
    spacerconfiguration.cpp
)

set(UIS
    spacerconfiguration.ui
)

BUILD_LXQT_PLUGIN(${PLUGIN})

=== plugin-volume/CMakeLists.txt ===
set(PLUGIN "volume")

set(HEADERS
    lxqtvolume.h
    volumebutton.h
    volumepopup.h
    audiodevice.h
    lxqtvolumeconfiguration.h
    audioengine.h
)

set(SOURCES
    ${PROJECT_SOURCE_DIR}/panel/lxqtpanelpluginconfigdialog.cpp
    lxqtvolume.cpp
    volumebutton.cpp
    volumepopup.cpp
    audiodevice.cpp
    lxqtvolumeconfiguration.cpp
    audioengine.cpp
    ossengine.cpp
)

set(UIS
    lxqtvolumeconfiguration.ui
)

set(LIBRARIES
    ${LIBRARIES}
    lxqt-globalkeys
    Qt6Xdg
)

if(PULSEAUDIO_FOUND)
    add_definitions(-DUSE_PULSEAUDIO)
    include_directories(${PULSEAUDIO_INCLUDE_DIR})
    set(HEADERS ${HEADERS} pulseaudioengine.h)
    set(SOURCES ${SOURCES} pulseaudioengine.cpp)
    set(MOCS ${MOCS} pulseaudioengine.h)
    set(LIBRARIES ${LIBRARIES} ${PULSEAUDIO_LIBRARY})
endif()

if(ALSA_FOUND)
    add_definitions(-DUSE_ALSA)
    set(HEADERS ${HEADERS} alsaengine.h alsadevice.h)
    set(SOURCES ${SOURCES} alsaengine.cpp alsadevice.cpp)
    set(MOCS ${MOCS} alsaengine.h alsadevice.h)
    set(LIBRARIES ${LIBRARIES} ${ALSA_LIBRARIES})
endif()

BUILD_LXQT_PLUGIN(${PLUGIN})

=== panel/backends/wayland/CMakeLists.txt ===
add_subdirectory(kwin_wayland)
add_subdirectory(wlroots)
add_subdirectory(wayfire)

=== PKGBUILD ===
# Maintainer: Jerome Leclanche <jerome@leclan.ch>
# Maintainer: Chih-Hsuan Yen <yan12125@archlinux.org>

pkgname=lxqt-panel
pkgver=2.3.0
pkgrel=1
pkgdesc="The LXQt desktop panel"
arch=("x86_64")
groups=("lxqt")
url="https://github.com/lxqt/$pkgname"
license=("LGPL2.1")
depends=(
	"libdbusmenu-lxqt" "lxqt-menu-data" "lxqt-themes" "libxtst"
	"lxqt-globalkeys" "solid" "libxcb" "libQt6Xdg.so" "layer-shell-qt"
)
optdepends=(
	"libpulse: Volume control plugin"
	"alsa-lib: Volume control plugin"
	"libstatgrab: CPU monitor and Network monitor plugins"
	"libsysstat: System Statistics plugin"
	"lm_sensors: Sensors plugin"
)
makedepends=(
	"lxqt-build-tools" "liblxqt" "libpulse" "libstatgrab" "libsysstat"
	"lm_sensors" "libxdamage" "alsa-lib"
)
source=(
	"https://github.com/lxqt/$pkgname/releases/download/$pkgver/$pkgname-$pkgver.tar.xz"{,.asc}
)
sha256sums=('556c8300a04affb68b14273ddd237c57f21f5493db089165fc7f4e3768f5ab7d'
            'SKIP')
validpgpkeys=(
	"169704C6FB490C6892C7F23C37E0AF1FDA48F373"  # Jerome Leclanche <jerome@leclan.ch>
	"7C733BA5F585AAD669E4D23A42C9C8D3AF5EA5E3"  # Alf Gaida <agaida@siduction.org>
	"19DFDF3A579BD509DBB572D8BE793007AD22DF7E"  # Pedram Pourang <tsujan2000@gmail.com>
)

build() {
	cmake -B build -S "$srcdir/$pkgname-$pkgver" \
		-DCMAKE_INSTALL_PREFIX=/usr \
		-DCMAKE_BUILD_TYPE=None
	make -C build
}

package() {
	cd build
	make DESTDIR="$pkgdir" install
}
